package com.ssm.manage.dao;

import com.github.pagehelper.PageInfo;
import com.ssm.manage.entity.PayList;
import com.ssm.manage.entity.RepayList;
import com.ssm.manage.extendEntity.StoreDaily;
import com.ssm.manage.query.RepayListRequest;
import com.ssm.manage.query.StoreDailyRequest;

import java.util.List;

public interface SsmRepayDao extends BaseDao<RepayList> {
    PageInfo<RepayList> selectPage(RepayListRequest repayListRequest);
    PageInfo<RepayList> selectPageNew(RepayListRequest repayListRequest);
    PageInfo<RepayList> pageDetail(RepayListRequest repayListRequest);

    StoreDaily selectDayRecord(StoreDailyRequest storeDailyRequest);

    StoreDaily selectRepay(StoreDailyRequest storeDailyRequest);
    //还款类型单数
    StoreDaily selectRepayType(StoreDailyRequest storeDailyRequest);

    StoreDaily selectCashRechargeMoney(StoreDailyRequest storeDailyRequest);

    //查询现付收款类型
    List<PayList> selectTypeMoneys(StoreDailyRequest storeDailyRequest);

}
